Bug 125311 - EDITING Paragraph deleted before numbering gets numbered formatting
Summary: EDITING Paragraph deleted before numbering gets numbered formatting
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.2.4.1 rc
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Track-Changes
  Show dependency treegraph
 
Reported: 2019-05-15 13:57 UTC by NISZ LibreOffice Team
Modified: 2019-08-12 17:57 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file from Writer (13.57 KB, application/binary)
2019-05-15 13:58 UTC, NISZ LibreOffice Team
Details
Screenshot of selecting the text to be deleted (85.42 KB, image/png)
2019-05-15 13:58 UTC, NISZ LibreOffice Team
Details
Screenshot of the problem, the preceding paragraph gets numbered in its deleted state (85.26 KB, image/png)
2019-05-15 13:58 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2019-05-15 13:57:28 UTC
Description:
In a change tracked document deleting a complete paragraph before a bulleted/numbered one with the first part of the numbered paragraph gets the numbered formatting in its deleted state.
Rejecting the change keeps the numbered formatting of that paragraph.


Steps to Reproduce:
1.	Open the attached document, it has a numbered paragraph and change tracking enabled.
2.	Select the first few words of the bulleted paragraph and the whole previous paragraph
3.	Delete them.
4.	The previous paragraph gets a numbered formatting.
5.	Reject the change. The previous paragraph keeps the numbered formatting.


Actual Results:
The previous paragraph gets the numbered formatting upon deletion.

Expected Results:
The previous paragraph should not have numbered formatting after the deletion.


Reproducible: Always


User Profile Reset: No



Additional Info:
Bibisect log:
# bad: [d60ae8383378fcecc7ab077670bf45208a214c71] source sha:e45c30858dec1dd705b9144fab981a3c8819ba96
# good: [b0a56ec98b1368cb5e3e531e0b3f69565af91609] source sha:3a801799536e6870f2fb111b1cc00b9575a35a39
git bisect start 'origin/master' 'oldest'
# good: [5180a3b7a5dc530ad7ec5bd6e5cefecf85beab7e] source sha:8bcc4a98d78869d6839821b9747602777f00ebaf
git bisect good 5180a3b7a5dc530ad7ec5bd6e5cefecf85beab7e
# good: [5180a3b7a5dc530ad7ec5bd6e5cefecf85beab7e] source sha:8bcc4a98d78869d6839821b9747602777f00ebaf
git bisect good 5180a3b7a5dc530ad7ec5bd6e5cefecf85beab7e
# bad: [1473ee9b216ec27c5410a08036aef0a4b857841c] source sha:93c817971d76ff5020d4210229896a35d357a371
git bisect bad 1473ee9b216ec27c5410a08036aef0a4b857841c
# bad: [1473ee9b216ec27c5410a08036aef0a4b857841c] source sha:93c817971d76ff5020d4210229896a35d357a371
git bisect bad 1473ee9b216ec27c5410a08036aef0a4b857841c
# bad: [1473ee9b216ec27c5410a08036aef0a4b857841c] source sha:93c817971d76ff5020d4210229896a35d357a371
git bisect bad 1473ee9b216ec27c5410a08036aef0a4b857841c
# bad: [1473ee9b216ec27c5410a08036aef0a4b857841c] source sha:93c817971d76ff5020d4210229896a35d357a371
git bisect bad 1473ee9b216ec27c5410a08036aef0a4b857841c
# bad: [1473ee9b216ec27c5410a08036aef0a4b857841c] source sha:93c817971d76ff5020d4210229896a35d357a371
git bisect bad 1473ee9b216ec27c5410a08036aef0a4b857841c
# bad: [1473ee9b216ec27c5410a08036aef0a4b857841c] source sha:93c817971d76ff5020d4210229896a35d357a371
git bisect bad 1473ee9b216ec27c5410a08036aef0a4b857841c
# bad: [1473ee9b216ec27c5410a08036aef0a4b857841c] source sha:93c817971d76ff5020d4210229896a35d357a371
git bisect bad 1473ee9b216ec27c5410a08036aef0a4b857841c
# bad: [0942649607862f8e681eeeb027ead35246eeee6f] source sha:d784612ff788f688eebb851c800228fc01c60470
git bisect bad 0942649607862f8e681eeeb027ead35246eeee6f
# bad: [f8b7df8260b2b21ea776ddda0480d4ecde928aeb] source sha:a9bcbd3dad16c69f1e7ebb52a30611150a49f298
git bisect bad f8b7df8260b2b21ea776ddda0480d4ecde928aeb
# good: [7f9fa743bc9ed65ad739fe9218babd841e0f22fb] source sha:d587931fba77246db3a2ccc6ab61ca77446d23f4
git bisect good 7f9fa743bc9ed65ad739fe9218babd841e0f22fb
# bad: [2a247c7ce197c493d83210a7bde10ea22e7b087f] source sha:c289c25523496f58b81e061cea82757c99e99957
git bisect bad 2a247c7ce197c493d83210a7bde10ea22e7b087f
# bad: [13bec79b498718da7842eee9fee5a75862531911] source sha:7d9e9ecd5bb5d5abec338c2ceb61ad623d2ac5cb
git bisect bad 13bec79b498718da7842eee9fee5a75862531911
# good: [47fd3cb82cff5cad29cbc68901fbd8e6ba5be120] source sha:5e8fd488f17fe0433cc9b31ace6527fb06ea3bb0
git bisect good 47fd3cb82cff5cad29cbc68901fbd8e6ba5be120
# bad: [0f98a5f177e9f9b5669dec6d78beac6e53be365f] source sha:c2139cafe6240991f88b85c1df12613d0ae0e821
git bisect bad 0f98a5f177e9f9b5669dec6d78beac6e53be365f
# bad: [27ec82c32f70ed6b024899d2c444edd9032117f6] source sha:1ddbf5c37a472c72b3b2be23381e18a9f1ad5823
git bisect bad 27ec82c32f70ed6b024899d2c444edd9032117f6
# bad: [a9af3e96e39e3c39e8078d5f8174f6c77b3964a9] source sha:1bbbe57dfc0b43d6b5444798d77dcdf5e4e76e49
git bisect bad a9af3e96e39e3c39e8078d5f8174f6c77b3964a9
# bad: [0b703cb8213c1b5fe839bde3e9382eb51a7acea8] source sha:22639148ae5400bac98f32a75d7431b857c80195
git bisect bad 0b703cb8213c1b5fe839bde3e9382eb51a7acea8
# good: [7cbe6e762de7a966198782d3b747c1752de74590] source sha:8bf82d47d6bd749fc0a7c5fac211be44406e9615
git bisect good 7cbe6e762de7a966198782d3b747c1752de74590
# first bad commit: [0b703cb8213c1b5fe839bde3e9382eb51a7acea8] source sha:22639148ae5400bac98f32a75d7431b857c80195
Comment 1 NISZ LibreOffice Team 2019-05-15 13:58:03 UTC
Created attachment 151438 [details]
Example file from Writer
Comment 2 NISZ LibreOffice Team 2019-05-15 13:58:21 UTC
Created attachment 151439 [details]
Screenshot of selecting the text to be deleted
Comment 3 NISZ LibreOffice Team 2019-05-15 13:58:51 UTC
Created attachment 151440 [details]
Screenshot of the problem, the preceding paragraph gets numbered in its deleted state
Comment 4 Drew Jensen 2019-05-15 16:03:53 UTC
Confirmed with Ubuntu 18.04.1 (KDE) and LO 6.3Alpha, 6.2.4

Also tested with 6.0.7 (Ubuntu repo) and the anomaly is not present.

Didn't have the chance to check with 6.1.
Comment 5 Gabor Kelemen 2019-05-16 07:20:00 UTC
Clickable commit: https://cgit.freedesktop.org/libreoffice/core/commit/?id=22639148ae5400bac98f32a75d7431b857c80195

Adding CC to László Németh
Comment 6 Gabor Kelemen 2019-07-22 12:47:12 UTC
Wrong meta, this is an editing problem.
Comment 7 Xisco Faulí 2019-08-12 12:16:14 UTC
Fixed by commit 1aac73a1fb260e4c76a483a68f003913fdd2c4bb

"tdf#125990 change tracking: remove text join workaround

at wholly deletion of paragraphs, disable failing unit tests
related to the temporary regressions.

This partially revert commits

commit 22639148ae5400bac98f32a75d7431b857c80195
    "tdf#54819 change tracking: keep paragraph style after full deletion"
commit 8acc15b5113c798ecdbeed91456a92e7b0c1334e
    "tdf#118699 DOCX import: don't add numbering."
commit caeb6ff68d49e1b1ca911cf3f63371b855ee935d
    "DOCX import: clean-up FinalizeImport() of change tracking"
etc."